%define hsc_name ghc
%define hsc_version %ghc_version
%define hsc_namever %hsc_name
%define h_pkg_name binary
%define f_pkg_name binary
%define pkg_libdir %_libdir/%hsc_name-%hsc_version/lib/%h_pkg_name-%version

Name: %hsc_namever-%f_pkg_name
Version: 0.5.0.2
Release: alt5.1
License: BSD
Group: Development/Haskell
URL: http://www.cse.unsw.edu.au/~dons/binary.html

Packager: Alex V. Myltsev <avm@altlinux.ru>

Source: %f_pkg_name-%version.tar
Summary: Binary serialization for Haskell values using lazy ByteStrings
BuildRequires: ghc haddock %hs_package_dependencies base >= 3.0 bytestring >= 0.9
BuildRequires(pre): rpm-build-haskell


%description
Efficient, pure binary serialisation using lazy ByteStrings.
Haskell values may be encoded to and form binary formats,
written to disk as binary, or sent over the network.
Serialisation speeds of over 1 G\/sec have been observed,
so this library should be suitable for high performance
scenarios.


%prep
%setup -n %h_pkg_name-%version


%build
%hs_configure2
%hs_build

%install
%hs_setup copy --destdir=%buildroot
install -m 755 %f_pkg_name.pkg %buildroot%pkg_libdir

mkdir -p %buildroot%hs_pkgconfdir
install -D -m 644 %f_pkg_name.pkg %buildroot%hs_pkgconfdir/%f_pkg_name-%version.conf

%hs_gen_filelist

cd %buildroot%_datadir/doc/%hsc_namever-%f_pkg_name-%version
rm -rf doc LICENSE README todo


%files -f %name-files.nonprof
%hs_pkgconfdir/%f_pkg_name-%version.conf
%doc dist/doc/html
%doc LICENSE README todo




%changelog
* Tue Dec 07 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.2-alt5.1
- rebuild with ghc 7.0/var/lib/altlinux/sisyphus/files/SRPMS/ghc-ansi-terminal-0.5.3-alt1.src.rpm

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.2-alt5
- auto rebuild

* Mon Sep 13 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.2-alt4
- auto rebuild

* Fri Sep 10 2010 Denis Smirnov <mithraen@altlinux.ru> 0.5.0.2-alt1
- 0.5.0.2

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.4.1-alt2
- ghc 2.6.12

* Thu Sep 09 2010 Denis Smirnov <mithraen@altlinux.ru> 0.4.1-alt1.1.1
- rebuild with new haskell

* Wed Mar 17 2010 Denis Smirnov <mithraen@altlinux.ru> 0.4.1-alt1.1
- rebuild with new haskell

* Wed Feb 13 2008 Alex V. Myltsev <avm@altlinux.ru> 0.4.1-alt1
- spec file autogenerated by cabal-rpm
